from mdpw import * 
def split_note(no):
  p = no.pitch
  d = no.duration
  n = no.velocity
  t = no.tone
  n2 = mn(p, d/2., n, t)
  return ms([n2, n2])
def transpose(s, t):
  if isinstance(s,mn):
    s.setPitch(s.getPitch)(s.pitch, s.duration, s.velocity, s.tone)
  elif issubclass(s.__class__, mdpw_d):
    for i in s:
      r.addElement(i.getClass())
    return r

  
  
C = 64
D = 66
E = 68
F = 69
G = 71
A = 73
v = 64
nC5 = mn(C,.5,v,1)
nC1 = mn(C,1,v,1)
nC2 = mn(C,2,v,1)
nD1 = mn(D,1,v,1)
nE1 = mn(E,1,v,1)
nE2 = mn(E,2,v,1)
nF1 = mn(F,1,v,1)
nG1 = mn(G,1,v,1)
nA1 = mn(A,1,v,1)

mA = ms([nC1, nD1, nE1, nF1, nE1, nD1, nC2])
mB = ms([nE1, nF1, nG1, nA1, nG1, nF1, nE2])
mC = ms([nC2,nC2,nC2,nC2])
mD = ms([split_note(nC1), split_note(nD1), split_note(nE1), split_note(nF1), nE1, nD1, nC2])
mR = mn(0,8, 0,1)
seq1 = ms([mA, mB, mC, mD, mR, mR])
seq2 = ms([mR, mA, mB, mC, mD, mR])
seq3 = ms([mR, mR, mA, mB, mC, mD])
p = midifile_player()
p.init("test.mid")
p.setTempo(120)
p.play(mc([seq1, seq2, seq3]))
p.end()

