from mdpw import *


class crescendo(visitor):
  def __init__(self, d, sv, ev):
   self.setVelocities(sv, ev)
   self.setDuration(d)
  def setDuration(self, d):
    self.duration = d
  def setVelocities(self, sv, ev):
    self.startv = sv
    self.endv = ev
  def process(self, n, d):
    n.setVelocity((self.endv-self.startv)*d/self.duration+self.startv)
  
    
C = 64
D = 66
E = 68
v = 64
nC1 = mn(C,1,v,1)
nD1 = mn(D,1,v,1)
nE1 = mn(E,1,v,1)
seq = ms([nC1, nD1, nE1])
vi = crescendo(seq.getDuration(), 32, 115)
p = midifile_player()
p.init("seq.mid")
p.setTempo(120)
p.play(seq.visit(vi))
p.end()
