from mdpw import * 
  
C = 64
D = 66
E = 68
G = 71

sv = 96
cv = 64
nC1 = mn(C,1,sv,1)
nD1 = mn(D,1,sv,1)
nE1 = mn(E,1,sv,1)
nR1 = mn(E,1,0,1)
nC2 = mn(C-12,2,cv,2)
nE2 = mn(E-12,2,cv,2)
nG2 = mn(G-12,2,cv,2)

seq = ms([nC1, nD1, nE1, nR1])
chord = mc([nC2, nE2, nG2])

piece = mc([ms([seq,seq]),ms([chord, chord,chord,chord])])
p = midifile_player()
p.init("piece.mid")
p.setTempo(120)
p.play(piece)
p.end()

